> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vozagent.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Contact

> Update an existing contact.

<Note>
  Retrieve your API Key from your [VozAgent Dashboard](https://app.vozagent.ai/settings/api).
</Note>

## Path parameters

<ParamField path="id" type="string" required>
  The unique identifier of the contact to update.
</ParamField>

## Body parameters

<ParamField body="first_name" type="string">
  Contact's first name.
</ParamField>

<ParamField body="last_name" type="string">
  Contact's last name.
</ParamField>

<ParamField body="email" type="string">
  Contact's email address.
</ParamField>

<ParamField body="company" type="string">
  Company or business name.
</ParamField>

<ParamField body="notes" type="string">
  Additional notes about the contact.
</ParamField>

## Response

Returns the updated contact object.

<RequestExample>
  ```bash theme={null}
  curl -X PATCH https://api.vozagent.ai/v1/contacts/c1a2b3c4... \
    -H "Authorization: Bearer <token>" \
    -H "Content-Type: application/json" \
    -d '{
      "company": "Updated Company",
      "notes": "Follow up next week"
    }'
  ```
</RequestExample>

<ResponseExample>
  ```json theme={null}
  {
    "id": "c1a2b3c4-d5e6-f7a8-b9c0-d1e2f3a4b5c6",
    "first_name": "John",
    "last_name": "Doe",
    "email": "john@example.com",
    "phone_number": "+15551234567",
    "company": "Updated Company",
    "notes": "Follow up next week",
    "updated_at": "2024-01-15T11:00:00Z"
  }
  ```
</ResponseExample>
